jQuery(document).ready(function ($) {
	/* get post list(ajax) */
	var bwe_pl_ajaxf = false;
	$(document).on('click', '#bwe-get-post-list', function () {
		if (bwe_pl_ajaxf) {
			return false;
		} else {
			bwe_pl_ajaxf = true;
		}
		var post_data = {
			'action': 'bwe_get_post_list',
			'bwe_ajax_get_post_list_data': {
				'post_type': $(this).data('post-type'),
				'taxonomy_slug': $(this).data('taxonomy-slug'),
				'order': $(this).data('order'),
				'order_by': $(this).data('order-by'),
				'output': $(this).data('output'),
				'count': $(this).data('count'),
				'overlay': $(this).data('overlay'),
				'color': $(this).data('color'),
				'page': $(this).data('page') + 1
			}
		};
		var target = $(this).parent().children($(this).data('parent'));
		var message = $(this).parent().children($(this).data('message'));
		var page = $(this);
		var load_anchor = $(this);
		$.ajax({
			type: 'POST',
			dataType: 'json',
			url: bwe_post_list_ajax_url,
			data: post_data
		}).done(function (json_data) {
			if (!json_data.res) {
				message.html(json_data.message);
				message.show();
				switch (json_data.code) {
					case 100:
						break;
					case 200:
						break;
					case 300:
						load_anchor.hide();
						break;
				}
			} else {
				if (json_data.data !== '') {
					target.append(json_data.data);
					page.data('page', page.data('page') + 1);
				}
			}
		}).fail(function () {
		}).always(function () {
			bwe_pl_ajaxf = false;
		});
		return false;
	});


	/* get post list(ajax) autoload */
	if ($('#bwe-ajax-autoload').length) {
		var bwe_pl_ajax_scroll_bottom;
		var bwe_pl_ajax_last_top = $("#bwe-ajax-autoload").offset().top;
		function getScrollTop() {
			bwe_pl_ajax_scroll_bottom = $(window).scrollTop() + $(window).height();
			if (bwe_pl_ajax_scroll_bottom >= bwe_pl_ajax_last_top) {
				$('#bwe-get-post-list').trigger("click");
			}
		}
		$(window).on("load scroll resize", getScrollTop);
	}
});