<?php

/* custom post type archive where rewrite */

function bwe_rewrite_custom_post_type_archive_where($where, $args) {
	$post_type = isset($args['post_type']) ? $args['post_type'] : 'post';
	$where = "WHERE post_type = '$post_type' AND post_status = 'publish'";
	return $where;
}

add_filter('getarchives_where', 'bwe_rewrite_custom_post_type_archive_where', 10, 2);




/* custom post type archive link rewrite */
function bwe_rewite_archives_link($link_html) {
	global $bwe_archives_post_type;
	if ($bwe_archives_post_type != '') {
		if (preg_match('[\?]', $link_html)) {
			$add_link = '&post_type=' . $bwe_archives_post_type;
		} else {
			$add_link = '?post_type=' . $bwe_archives_post_type;
		}
		$link_html = preg_replace("/href='(.+)'/", "href='$1" . $add_link . "'", $link_html);
	}
	return $link_html;
}

add_filter('get_archives_link', 'bwe_rewite_archives_link');

